<!doctype html>
<html lang="en">

<head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Jquery -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>

<body>
    <div class="container">
        <h3 class="text-center">
            Danh Sách Album ảnh số 3
        </h3>
        <div>
            <table id="table-img" class="table  table-bordered table-striped">
                <thead>
                    <tr class="table-info">
                        <th>STT</th>
                        <th>Album</th>
                        <th>Title</th>
                        <th>URL Ảnh</th>
                        <th>Thumbnail</th>
                    </tr>
                </thead>
                <tbody class="table-primary">

                </tbody>
            </table>
        </div>
    </div>


</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gBASE_URL = "https://jsonplaceholder.typicode.com/albums/3/photos";
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        goiApiAlbum();

    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onLoadDataAlbum(paramRes) {
        for (var bI = 0; bI < paramRes.length; bI++) {
            $("#table-img")
                .find("tbody")
                .append($("<tr/>")

                    .append($("<td/>")
                        .html(bI + 1)
                    )
                    .append($("<td/>")
                        .html(paramRes[bI].albumId)
                    )
                    .append($("<td/>")
                        .html(paramRes[bI].title)
                    )
                    .append($("<td/>")
                        .html(paramRes[bI].url)
                    )
                    .append($("<td/>")
                        .append($("<img/>")
                            .attr("src", paramRes[bI].url)
                            .css("width", 100)
                        )
                    )
                )
        }
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function goiApiAlbum() {
        $.ajax({
            url: gBASE_URL,
            type: "GET",
            success: function (res) {
                console.log(res);
                onLoadDataAlbum(res);
            },
            error: function (error) {
                console.log(error.status);
            }

        })
    }
</script>

</html>